BlockGetAndPut< T, B, GA, PA > Struct Template Reference

Access a block of memory. More...

`#include <misc.h>`

## Public Types

typedef PutBlock< T, B, PA > | Put

## Static Public Member Functions

static GetBlock< T, B, GA > | Get (const void *block)

## Detailed Description

template<class T, class B, bool GA = false, bool PA = false>
struct BlockGetAndPut< T, B, GA, PA >

Access a block of memory.

Template Parameters

  T | class or type
  B | enumeration indicating endianness
  GA | flag indicating alignment for the Get operation
  PA | flag indicating alignment for the Put operation

GetBlock() provides alternate write access to a block of memory. The enumeration B is BigEndian or LittleEndian. The flag A indicates if the memory block is aligned for class or type T.

See also
  GetBlock() and PutBlock().

Definition at line 3052 of file misc.h.

## Member Typedef Documentation

## Put

template<class T , class B , bool GA = false, bool PA = false>

typedef PutBlock<T, B, PA> BlockGetAndPut< T, B, GA, PA >::Put

Definition at line 3056 of file misc.h.

## Member Function Documentation

## Get()

template<class T , class B , bool GA = false, bool PA = false>

static GetBlock< T, B, GA > BlockGetAndPut< T, B, GA, PA >::Get | ( | const void * | block | ) |

inline static

Definition at line 3055 of file misc.h.

The documentation for this struct was generated from the following file:

- misc.h